### Method

# Gio SimpleAction set_state_hint

since: 2.44

#### Declaration [src]

    void
    g_simple_action_set_state_hint (
      GSimpleAction* simple,
      GVariant* state_hint
    )

#### Description [src]

Sets the state hint for the action.

See `g_action_get_state_hint()` for more information about action state hints.

Available since: 2.44

#### Parameters

`state_hint`

  Type: `GVariant`

  A `GVariant` representing the state hint.

  The argument can be `NULL`.
  The data is owned by the caller of the method.